// OptSettingsPage.cpp : implementation file
//

#include "stdafx.h"
#include "o3find_wingui.h"
#include "OptSettingsPage.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// COptSettingsPage property page

IMPLEMENT_DYNCREATE(COptSettingsPage, CPropertyPage)

COptSettingsPage::COptSettingsPage() : CPropertyPage(COptSettingsPage::IDD)
{
	//{{AFX_DATA_INIT(COptSettingsPage)
	m_bCheckAlreadyOpen = FALSE;
	m_bCheckIgnoreStyles = FALSE;
	m_bCheckRememberSettings = FALSE;
	m_nRadioSearchFor = -1;
	//}}AFX_DATA_INIT
}

COptSettingsPage::~COptSettingsPage()
{
}

void COptSettingsPage::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(COptSettingsPage)
	DDX_Check(pDX, IDC_CHECK_ALREADY_OPEN, m_bCheckAlreadyOpen);
	DDX_Check(pDX, IDC_CHECK_IGNORE_STYLES, m_bCheckIgnoreStyles);
	DDX_Check(pDX, IDC_CHECK_REMEMBER_SETTINGS, m_bCheckRememberSettings);
	DDX_Radio(pDX, IDC_RADIO_CONTENT_AND_META, m_nRadioSearchFor);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(COptSettingsPage, CPropertyPage)
	//{{AFX_MSG_MAP(COptSettingsPage)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// COptSettingsPage message handlers

BOOL COptSettingsPage::OnInitDialog() 
{
	CPropertyPage::OnInitDialog();
		
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
