// OptClearPage.cpp : implementation file
//

#include "stdafx.h"
#include "o3find_wingui.h"
#include "OptClearPage.h"
#include "Options.h"

#include <shlwapi.h>

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// COptClearPage property page

IMPLEMENT_DYNCREATE(COptClearPage, CPropertyPage)

COptClearPage::COptClearPage() : CPropertyPage(COptClearPage::IDD)
{
	//{{AFX_DATA_INIT(COptClearPage)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

COptClearPage::~COptClearPage()
{
}

void COptClearPage::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(COptClearPage)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(COptClearPage, CPropertyPage)
	//{{AFX_MSG_MAP(COptClearPage)
	ON_BN_CLICKED(IDC_BUTTON_CLEAR_SINGLE, OnButtonClearSingle)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// COptClearPage message handlers



void COptClearPage::OnButtonClearSingle() 
{
	if (::MessageBox(m_hWnd,
				"All your customized search options will be deleted.\nThis action cannot be undone.\nAre you sure?",
				"o3find - Confirm Clear Options",
				MB_YESNO | MB_ICONQUESTION) == IDYES)
	{
		CString strKeyToBeDeleted;
		strKeyToBeDeleted.Format("Software\\%s\\%s", 
							O3FIND_COMPANY,
							O3FIND_APP_NAME);

		DWORD dwResult = SHDeleteKey(HKEY_CURRENT_USER, strKeyToBeDeleted);

		if (dwResult != ERROR_SUCCESS)
		{
			::MessageBox(m_hWnd,
					"Unable to clear o3find options!",
					"o3find",
					MB_OK | MB_ICONHAND);						
		}
		else
		{
			// *** TODO *** 
			// Now that we deleted the application-specific key,
			// look for the raw company name and if it's empty, REMOVE it!

			::MessageBox(m_hWnd,
					"o3find options have been cleared. Now o3find will be closed.",
					"o3find",
					MB_OK | MB_ICONINFORMATION);

			EndDialog(IDC_BUTTON_CLEAR_SINGLE);
		}
	} // end if messagebox ok!
	
} // COptClearPage::OnButtonClearSingle
