#if !defined(AFX_OPTIONSMAINSHEET_H__F6EA479B_1922_43C4_A239_1EB13958772A__INCLUDED_)
#define AFX_OPTIONSMAINSHEET_H__F6EA479B_1922_43C4_A239_1EB13958772A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// OptionsMainSheet.h : header file
//

#include "OptSettingsPage.h"
#include "OptRememberPage.h"
#include "OptClearPage.h"

class CO3FindOptions;

/////////////////////////////////////////////////////////////////////////////
// COptionsMainSheet


class COptionsMainSheet : public CPropertySheet
{
	DECLARE_DYNAMIC(COptionsMainSheet)

// Construction
public:
	COptionsMainSheet(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	COptionsMainSheet(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COptionsMainSheet)
	//}}AFX_VIRTUAL

// Implementation
public:
	void SetOptions(const CO3FindOptions& options);
	void GetOptions(CO3FindOptions& options);
	virtual ~COptionsMainSheet();

	// Generated message map functions
protected:
	void InitPages();
	COptSettingsPage m_pageSettings;
	COptRememberPage m_pageRemember;
	COptClearPage m_pageClear;

	//{{AFX_MSG(COptionsMainSheet)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OPTIONSMAINSHEET_H__F6EA479B_1922_43C4_A239_1EB13958772A__INCLUDED_)
