/*
 *	Title:		o3find
 *	Version:	0.70
 *	Created by:	Paolo Copello
 *	Home page:	http://web.tiscali.it/fanelia
 *	
 *	Copyright (C) 2003-2005 Paolo Copello
 *	
 *	******************************************
 *	This file is part of o3find
 *	******************************************
 *	
 *	o3find is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	any later version.
 *	
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *	
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *	
 */


// ResultsListCtrl.cpp : implementation file
//

#include "stdafx.h"
#include "o3find_wingui.h"
#include "ResultsListCtrl.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// ResultsListCtrl



static const int NUM_COLUMNS = 3;


static _TCHAR *_gszColumnLabel[NUM_COLUMNS] =
{
	_T("File")//, _T("Data"), _T("Descrizione")
};

/*static int _gnColumnFmt[NUM_COLUMNS] =
{
	LVCFMT_LEFT , LVCFMT_LEFT, LVCFMT_LEFT
};*/

static int _gnColumnWidth[NUM_COLUMNS] =
{	// sono valori percentuali
	90 //, 11, 49
};



ResultsListCtrl::ResultsListCtrl()
{
}

ResultsListCtrl::~ResultsListCtrl()
{
}


BEGIN_MESSAGE_MAP(ResultsListCtrl, CListCtrl)
	//{{AFX_MSG_MAP(ResultsListCtrl)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// ResultsListCtrl message handlers


void ResultsListCtrl::Initialize()
{
	// insert columns
	CRect rect;
	GetWindowRect(&rect);
	for(int i = 0; i<NUM_COLUMNS; i++)
	{
		InsertColumn(i, _gszColumnLabel[i], LVCFMT_LEFT, rect.Width()* _gnColumnWidth[i]/100, i);
	}
}

void ResultsListCtrl::AddFile(const CString& strName)
{
	int nIndex = InsertItem(GetItemCount(), strName); //, iIcon);
}

